1
0
mirror of git://git.sv.gnu.org/coreutils.git synced 2026-03-01 02:26:17 +02:00
Files
coreutils/tests/chmod/umask-x
2005-05-04 17:22:54 +00:00

37 lines
686 B
Bash
Executable File

#!/bin/sh
# Test that chmod -x file reports an error if the result is executable.
if test "$VERBOSE" = yes; then
set -x
chmod --version
fi
. $srcdir/../lang-default
pwd=`pwd`
tmp=minus.$$
trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
mkdir $tmp || framework_failure=1
cd $tmp || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
(exit 1); exit 1
fi
fail=0
touch file
chmod 755 file
(umask 77 && chmod -x file) 2>/dev/null && fail=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
fail=1
fi
(exit $fail); exit $fail